package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumBillExcelTemplateDaily {

    RENT(1, "租金"),
    PROPERTY(2, "物业费"),
    WATER(3, "水费"),
    POWER(4, "电费"),
    AIR_CONDITIONING(5, "空调费"),
    OTHER(6, "其他费用"),
    OTHER_DEPOSIT(7, "其他押金"),;

    public static EnumBillExcelTemplateDaily getEnum(Integer code) {
        for (EnumBillExcelTemplateDaily value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBillExcelTemplateDaily(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
